org.richfaces.view.facelets.html

## Class CustomBehaviorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.BehaviorHandler
          - - org.richfaces.view.facelets.html.CustomBehaviorHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler
  Direct Known Subclasses:
    AjaxHandler, ComponentControlHandler

      public class CustomBehaviorHandler
      extends javax.faces.view.facelets.BehaviorHandler

  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.view.facelets.MetaRule[]` | `getMetaRules()`
    `protected javax.faces.view.facelets.TagHandlerDelegate` | `getTagHandlerDelegate()`
    `boolean` | `isWrapping()`
    `boolean` | `isWrappingAttachQueue()`

    - ### Methods inherited from class javax.faces.view.facelets.BehaviorHandler

      `getBehaviorId, getEvent, getEventName`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### CustomBehaviorHandler

          public CustomBehaviorHandler(javax.faces.view.facelets.BehaviorConfig config)

  - ### Method Detail

    - #### isWrapping

          public boolean isWrapping()

    - #### isWrappingAttachQueue

          public boolean isWrappingAttachQueue()

    - #### getMetaRules

          public javax.faces.view.facelets.MetaRule[] getMetaRules()

    - #### getTagHandlerDelegate

          protected javax.faces.view.facelets.TagHandlerDelegate getTagHandlerDelegate()

      Overrides:
        `getTagHandlerDelegate` in class `javax.faces.view.facelets.BehaviorHandler`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.